Bug 138099 - Undo row insert make curser jump to top of document
Undo row insert make curser jump to top of document
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-04 11:43 EST by Stephen Lawrence Jr.
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-11 06:07:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Lawrence Jr. 2004-11-04 11:43:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
If you insert a new row in a table, then while inside that row, try to
undo the insert (ctrl+z), the cursor jumps to the very top of the
document.

Version-Release number of selected component (if applicable):
openoffice.org-1.1.2-10.fc2

How reproducible:
Always

Steps to Reproduce:
1.Create a table
2.Insert a row
3.move inside a cell in that row
4. Ctrl+Z
    

Actual Results:  Cursor jumps to odd locations, usually to top of document

Expected Results:  Cursor should move up to the previous row.

Additional info:
Comment 1 Caolan McNamara 2004-11-05 09:30:32 EST
Known upstream as: http://www.openoffice.org/issues/show_bug.cgi?id=18014
Comment 2 Caolan McNamara 2004-11-11 06:07:51 EST
Not much we can do about this one in the 1.1.X series :-(, writer
can't undo row insertions correctly. More fine-grained undo
improvements are in progress for 2.0

Note You need to log in before you can comment on or make changes to this bug.